Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.mergepoint
Class ActionSaxHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.torque.generator.configuration.mergepoint.ActionSaxHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

Direct Known Subclasses:
  ApplyActionSaxHandler, OptionActionSaxHandler, OutputActionSaxHandler, SourceElementAttributeActionSaxHandler, TraverseAllActionSaxHandler

    public abstract class ActionSaxHandler

extends DefaultHandler

A SAX Handler which handles for the action element in mergepoints.

Constructor Summary
`ActionSaxHandler(MergepointAction action, ConfigurationProvider configurationProvider, ProjectPaths projectPaths)` Constructor.

Method Summary
`MergepointAction` | `getAction()` Returns the action which was configured by this handler.
`protected ConfigurationProvider` | `getConfigurationProvider()` Returns the configuration provider used by this handler.
`protected ProjectPaths` | `getProjectPaths()` Returns the project paths used by this handler.
`void` | `startElement(String uri, String localName, String rawName, Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionSaxHandler

    public ActionSaxHandler(MergepointAction action,
                            ConfigurationProvider configurationProvider,
                            ProjectPaths projectPaths)

  Constructor.

  Parameters:
    `action` - paths of the underlying project, not null.
    `configurationProvider` - The access object for the configuration files, not null.
    `projectPaths` - The paths of the surrounding project, not null.
  Throws:
    `NullPointerException` - if an argument is null.

Method Detail

### startElement

    public void startElement(String uri,
                             String localName,
                             String rawName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `DefaultHandler`
  Throws:
    `SAXException`

### getAction

    public MergepointAction getAction()

  Returns the action which was configured by this handler.

  Returns:
    the action configured by this handler, not null.

### getConfigurationProvider

    protected ConfigurationProvider getConfigurationProvider()

  Returns the configuration provider used by this handler.

  Returns:
    the configuration provider, not null.

### getProjectPaths

    protected ProjectPaths getProjectPaths()

  Returns the project paths used by this handler.

  Returns:
    the project paths, not null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.